/// <reference path="../node_modules/angular2/typings/browser.d.ts" />
import { AfterViewChecked, ElementRef } from 'angular2/core';
import { Http } from 'angular2/http';
export declare class CodeblockComponent implements AfterViewChecked {
    private _elementRef;
    private _http;
    theme: string;
    static THEMES: string[];
    constructor(_elementRef: ElementRef, _http: Http);
    ngAfterViewChecked(): void;
    lineNumbers: boolean;
    language: string;
    src: string;
    static EXTENSION_MAP: {
        'js': string;
        'ts': string;
        'html': string;
        'svg': string;
        'xml': string;
        'md': string;
        'py': string;
        'rb': string;
        'ps1': string;
        'psm1': string;
    };
    languageClass: string;
    lineNumbersClass: string;
    codeClasses: string;
    preClasses: string;
    _language: string;
    _languageSet: boolean;
    _highlighted: boolean;
    _lineNumbers: boolean;
    _changed: boolean;
    _el: any;
    _code: any;
    _highlight(): void;
    _empty(): void;
    _processMarkup(text: any): any;
    _fetchSource(source: any, fileLanguage: any): void;
}
